org.apache.sling.bgservlets.impl.storage

## Class JobStorageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.api.SlingException
        - - org.apache.sling.bgservlets.impl.storage.JobStorageException

All Implemented Interfaces:
  Serializable

    public class JobStorageException
    extends org.apache.sling.api.SlingException

Exception related to job storage. Unchecked, meant for non-recoverable problems.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobStorageException(String reason)`
`JobStorageException(String reason, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobStorageException

    public JobStorageException(String reason)

#### JobStorageException

    public JobStorageException(String reason,
                       Throwable cause)